> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# create multipart file upload

> Create an Artifact Multipart Upload



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow-artifacts/mpu/create/{artifact_path}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow-artifacts/mpu/create/{artifact_path}:
    post:
      tags:
        - MLflow artifacts
      summary: create multipart file upload
      description: Create an Artifact Multipart Upload
      operationId: artifacts.MultipartCreate
      parameters:
        - in: path
          name: artifact_path
          schema:
            type: string
          required: true
          description: >-
            The path of the file as a relative path from the root artifact
            directory
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_CreateMultipartUploadRequest'
      responses:
        '200':
          description: multipart file upload urls generated
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/mlflow-proxy_CreateMultipartUploadResponse
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_CreateMultipartUploadRequest:
      properties:
        path:
          description: Destination path
          type: string
        num_parts:
          description: Number of parts in multipart upload
          oneOf:
            - format: int64
              type: integer
            - type: string
      required:
        - path
      type: object
    mlflow-proxy_CreateMultipartUploadResponse:
      properties:
        upload_id:
          description: An id that uniquely identifies this file upload
          type: string
        credentials:
          description: A set of upload urls for each part of the multipart upload sequence
          items:
            $ref: '#/components/schemas/mlflow-proxy_MultipartUploadCredential'
          type: array
      required:
        - credentials
      type: object
    mlflow-proxy_MultipartUploadCredential:
      properties:
        url:
          description: pre-signed url where the given part should be uploaded
          type: string
        part_number:
          description: the part number in the sequence the url corresponds to
          type: integer
          format: int64
        headers:
          description: optional headers to send with file contents to the given url
          type: object
          additionalProperties:
            type: string
      required:
        - url
        - part_number
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [abort multipart file upload](/api-reference/mlflow-artifacts/abort-multipart-file-upload.md)
- [complete multipart file upload](/api-reference/mlflow-artifacts/complete-multipart-file-upload.md)
- [Track and monitor experiments](/cloud/platform-capabilities/features/development/track-monitor.md)
- [Manage models with model registry](/cloud/platform-capabilities/features/models/register-and-govern/model-registry.md)
